### Constructor

# WebKit2 PrintCustomWidget new

since: 2.16

#### Declaration [src]

    WebKitPrintCustomWidget*
    webkit_print_custom_widget_new (
      GtkWidget* widget,
      const char* title
    )

#### Description [src]

Create a new `WebKitPrintCustomWidget` with given `widget` and `title`.

The `widget` ownership is taken and it is destroyed together with the dialog even if this object could still be alive at that point. You typically want to pass a container widget with multiple widgets in it.

Available since: 2.16

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the function.

`title`

  Type: `const char*`

  A `widget`‘s title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitPrintCustomWidget`

A new `WebKitPrintOperation`.

The caller of the function takes ownership of the data, and is responsible for freeing it.